apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: {{ include "orvn-snapshot-manager.fullname" . }}
rules:
  - apiGroups: [""]
    resources: ["persistentvolumeclaims", "namespaces"]
    verbs: ["get", "list", "watch"]
  - apiGroups: ["snapshot.storage.k8s.io"]
    resources: ["volumesnapshots"]
    verbs: ["*"]
